INSERT INTO system_config.mstr_dq_rule (mstr_rule_id,mstr_rule_desc,visual_rule_desc,rule_typ,datatype,pg_fn_nm,is_rule_actv,eff_srt_dt,eff_end_dt,is_actv,audit_batch_id,audit_insrt_dt,audit_insrt_id,audit_updt_dt,audit_updt_id) 
SELECT
  (nextval('system_config.mstr_dq_rule_di_rule_id'),'File column sequence should not shuffle in source data file','COLUMN SEQUENCE CHECK','File Validation','Not Applicable',NULL,true,current_date,to_date('9999-12-31','YYYY-MM-DD'),true,'SYS00100',now(),'SYSTEM',NULL,NULL),
  (nextval('system_config.mstr_dq_rule_di_rule_id'),'File Pattern Should be as expected','FILE PATTERN CHECK','File Validation','Not Applicable',NULL,true,current_date,to_date('9999-12-31','YYYY-MM-DD'),true,'SYS00100',now(),'SYSTEM',NULL,NULL),
  (nextval('system_config.mstr_dq_rule_dq_rule_id'),'Sum of measures across layes should be same','CONTROL SUM CHECK','Data Control','Not Applicable','fn_get_data_ctrl_sum_query',true,current_date,to_date('9999-12-31','YYYY-MM-DD'),true,'SYS00100',now(),'SYSTEM',NULL,NULL),
  (nextval('system_config.mstr_dq_rule_dq_rule_id'),'Count of records across layes should be same','CONTROL TOTAL CHECK','Data Control','Not Applicable','fn_get_data_ctrl_tot_query',true,current_date,to_date('9999-12-31','YYYY-MM-DD'),true,'SYS00100',now(),'SYSTEM',NULL,NULL),
  (nextval('system_config.mstr_dq_rule_dq_rule_id'),'Length Check','LENGTH CHECK','Data Validation','CHAR,VARCHAR','fn_get_data_validation_wrapper',true,current_date,to_date('9999-12-31','YYYY-MM-DD'),true,'SYS00100',now(),'SYSTEM',NULL,NULL),
  (nextval('system_config.mstr_dq_rule_dq_rule_id'),'Column must have only a given set of values','DOMAIN CHECK','Data Validation','NUMBER,FLOAT,BOOLEAN,CHAR,VARCHAR,DATE,TIMESTAMP_NTZ,TIMESTAMP_TZ','fn_get_data_validation_wrapper',true,current_date,to_date('9999-12-31','YYYY-MM-DD'),true,'SYS00100',now(),'SYSTEM',NULL,NULL),
  (nextval('system_config.mstr_dq_rule_dq_rule_id'),'Data should be populated as per business logic','CONDITIONAL UNIQUENESS CHECK','Data Validation','NUMBER,FLOAT,BOOLEAN,CHAR,VARCHAR,DATE,TIMESTAMP_NTZ,TIMESTAMP_TZ','fn_get_data_validation_wrapper',true,current_date,to_date('9999-12-31','YYYY-MM-DD'),true,'SYS00100',now(),'SYSTEM',NULL,NULL),
  (nextval('system_config.mstr_dq_rule_dq_rule_id'),'Data Uniqueness on Primary columns','UNIQUENESS CHECK','Data Validation','NUMBER,FLOAT,BOOLEAN,CHAR,VARCHAR,DATE,TIMESTAMP_NTZ,TIMESTAMP_TZ','fn_get_data_validation_wrapper',true,current_date,to_date('9999-12-31','YYYY-MM-DD'),true,'SYS00100',now(),'SYSTEM',NULL,NULL),
  (nextval('system_config.mstr_dq_rule_dq_rule_id'),'Not Null Check','NOT NULL CHECK','Data Validation','NUMBER,FLOAT,BOOLEAN,CHAR,VARCHAR,DATE,TIMESTAMP_NTZ,TIMESTAMP_TZ','fn_get_data_validation_wrapper',true,current_date,to_date('9999-12-31','YYYY-MM-DD'),true,'SYS00100',now(),'SYSTEM',NULL,NULL),
  (nextval('system_config.mstr_dq_rule_dq_rule_id'),'Number format Check','NUMBER CHECK','Data Validation','NUMBER,FLOAT,CHAR,VARCHAR','fn_get_data_validation_wrapper',true,current_date,to_date('9999-12-31','YYYY-MM-DD'),true,'SYS00100',now(),'SYSTEM',NULL,NULL),
  (nextval('system_config.mstr_dq_rule_dq_rule_id'),'Between a range','RANGE CHECK','Data Validation','NUMBER,FLOAT,DATE,TIMESTAMP_NTZ,TIMESTAMP_TZ','fn_get_data_validation_wrapper',true,current_date,to_date('9999-12-31','YYYY-MM-DD'),true,'SYS00100',now(),'SYSTEM',NULL,NULL),
  (nextval('system_config.mstr_dq_rule_dq_rule_id'),'Non Zero value','NON-ZERO CHECK','Data Validation','NUMBER,FLOAT','fn_get_data_validation_wrapper',true,current_date,to_date('9999-12-31','YYYY-MM-DD'),true,'SYS00100',now(),'SYSTEM',NULL,NULL),
  (nextval('system_config.mstr_dq_rule_dq_rule_id'),'Date Format Check','FORMAT CHECK','Data Validation','DATE,TIMESTAMP_NTZ,TIMESTAMP_TZ','fn_get_data_validation_wrapper',true,current_date,to_date('9999-12-31','YYYY-MM-DD'),true,'SYS00100',now(),'SYSTEM',NULL,NULL),
  (nextval('system_config.mstr_dq_rule_dq_rule_id'),'Must have data for a defined time range ','DATA AVAILABILITY CHECK','Data Validation','DATE,TIMESTAMP_NTZ,TIMESTAMP_TZ','fn_get_data_validation_wrapper',true,current_date,to_date('9999-12-31','YYYY-MM-DD'),true,'SYS00100',now(),'SYSTEM',NULL,NULL),
  (nextval('system_config.mstr_dq_rule_dq_rule_id'),'Pattern Check ','PATTERN CHECK','Data Validation','NUMBER,FLOAT,CHAR,VARCHAR,DATE,TIMESTAMP_NTZ,TIMESTAMP_TZ','fn_get_data_validation_wrapper',true,current_date,to_date('9999-12-31','YYYY-MM-DD'),true,'SYS00100',now(),'SYSTEM',NULL,NULL),
  (nextval('system_config.mstr_dq_rule_dq_rule_id'),'KPI related checks','KPI CHECK','KPI','Not Applicable','fn_get_kpi_query',true,current_date,to_date('9999-12-31','YYYY-MM-DD'),true,'SYS00100',now(),'SYSTEM',NULL,NULL),
  (nextval('system_config.mstr_dq_rule_dq_rule_id'),'Referential integrity check','REFERENTIAL INTEGRITY CHECK','Referential Integrity','Not Applicable','fn_get_ri_query',true,current_date,to_date('9999-12-31','YYYY-MM-DD'),true,'SYS00100',now(),'SYSTEM',NULL,NULL),
  (nextval('system_config.mstr_dq_rule_dq_rule_id'),'% change based on aggregation function between current and previous data in the table','VARIATION CHECK','Threshold','Not Applicable','fn_get_th_query_variation',true,current_date,to_date('9999-12-31','YYYY-MM-DD'),true,'SYS00100',now(),'SYSTEM',NULL,NULL),
  (nextval('system_config.mstr_dq_rule_dq_rule_id'),'% change based on aggregation function between 2 consecutive time periods in the table','TREND CHECK','Threshold','Not Applicable','fn_get_th_query_trend',true,current_date,to_date('9999-12-31','YYYY-MM-DD'),true,'SYS00100',now(),'SYSTEM',NULL,NULL);

COMMIT;
